shopping

Allows you to scrape the results from Google Shopping via our ScrapeIN service.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Endpoint: The /google/shopping API endpoint allows you to GET the results of your Google Shopping query.
Authentication: API-KEY. Use your API-KEY for authentication.
Output format: html, json, csv

Results: Click "200" at the bottom of the page in the Responses block to see the JSON structure of a successful response. See more about the results here.

Support

If you have any questions about authentication or API usage, please contact our support team at [email protected].

Query Params
string
required
Defaults to long-wide pants

Used to define the search query you want to perform. You can use any keyword or phrase that you would use in a regular Google search.

string
Defaults to United States

The location parameter specifies the geographic location where the search query is performed. You can input any location as free-text, but if you select one of ScrapeIN's predefined locations, the google_domain, gl and and hl parameters will be automatically adjusted to match the country, language, and domain of the selected location. Please note that this automatic behavior can be turned off using the location_auto parameter.

string
enum
Defaults to json

The output parameter helps you get the data you want in an organized way, which is easy to work with. By default, you get the data in a structured JSON format. You can also get the actual content of the webpage in an organized HTML format by using html. Or you can choose to get the data in a CSV format by setting the parameter to csv.

Allowed:
string

This parameter allows you to specify whether you want to receive only raw data from the Google SERP API. When set to true, the request will be processed exclusively for raw data through the raw data balance when the balance is positive. If these conditions are not met, the request will not be processed for raw data.

boolean

The location_auto parameter is used to control whether the google_domain, gl and hl parameters are automatically updated when using a predefined location from the Location API. The default value is true, which enables this behavior, while false disables it.

string

The uule parameter is a customizable parameter that can be passed through to Google. When using the location parameter, ScrapeIN generates the uule parameter automatically. However, you can directly specify a uule to overwrite the automatically generated one.

string
enum
Defaults to google.com

Specifies the domain of Google to execute the search query on. A complete list of supported values for the google_domain parameter can be viewed here. The default value is google.com.

string
enum
Defaults to us

The gl parameter is used to specify the Google country to be used in the search query. Check out the list of supported values for gl here. The default value for gl is set to us.

string
enum
Defaults to en

The hl parameter is responsible for determining the Google user interface language for the returned results. Check out the list of supported values for hl here. The default value for hl is set to en.

int32

Determines the page of results to return (default is 1), used with the num parameter for pagination.

int32

Used to get multiple pages of results in one request, the API will paginate through pages automatically and concatenate the results into one response. See the Pagination for more information.

string
enum

Determines the number of results to show per page, used in combination with the page parameter for pagination. Maximum number of search results per request is 100. The num parameter is not always taken into account by Google Shopping.

Allowed:
string
enum

The parameter in Google Shopping API sets the order in which shopping results are returned. It accepts the following valid value: relevance, which sorts results by their relevance to the search term supplied in the q parameter. This is the default ordering; price_low_to_high, which sorts by lowest to highest price, price_high_to_low that sorts by highest to lowest price, and review_score. It sorts by review score, highest review score first.

Allowed:
string

Allows you to specify the JSON field names you want to include in the response JSON object as a comma-separated list. You can use dot notation to specify the field names - for instance, setting include_fields=pagination will only include the pagination property in the JSON response. The include_fields parameter is useful when you only want certain fields to be included in the JSON response returned by the API.

string

Used to exclude certain fields from the JSON object returned by the API. You can specify the names of the fields to be excluded in dot notation as a comma-separated list. For example, exclude_fields=pagination would remove the pagination property from the response JSON. If there are particular fields you don't want to be included in the API's JSON response, use exclude_fields.

boolean

Specifies if the response should include raw HTML, which may increase its size. The option to include HTML can be true or false (the default), with the latter being the default.

string
enum

This parameter allows you to control the API's behavior when it encounters a parsing incident. You can choose to have the API skip serving the request entirely when a degraded or major parsing incident is detected (value: all), or only skip the request when a "major" parsing incident is detected (value: major_only). If your system is making unsupervised requests to the API, using skip_on_incident can be a useful way to handle incidents gracefully.

Allowed:
boolean

This parameter instructs the API to exclude Base64 images from the response. When SERP pages contain Base64-encoded images, including them in the response can significantly increase its size. Therefore, excluding these images can be beneficial in reducing the response size.

string
string

Specifies the URL to be scraped instead of using the q parameter to perform a search query. The url parameter must be URL-encoded.

double

The minimum price of products. For example shopping_price_min=1.99

double

The maximun price of products. For example shopping_price_max=199

string
enum

The condition of products returned. Can be set to new or used.

Allowed:
string

This parameter shows a comma-separated list of merchant IDs to retrieve shopping results. Merchant IDs can be found in the merchagg: section of any Google Shopping URL.

boolean

Determines whether the "Buy on Google" option is selected when running /google/shopping/. The option can be true or false.

string

The parameter is used to apply a specific filter to the shopping results. The available shopping filters are returned in the filters property of the shopping response. Valid filter options include brand, color, size, and others. You can use these filters to narrow down the search results and find products that match your criteria. For example shopping_filter=vw:l,mr:1,pdtr0:968115|975756,vw:l,mr:1,pdtr0:968115|975756!977032 set brands to H&M and Zara.

Responses

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json